<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node1" type="MAIN_LOOP" x="-441.000000" y="110.000000">
      <Parameter name="FRAME_SIZE" type="int" value="512"/>
      <Parameter name="FRAME_ADVANCE" type="int" value="256"/>
      <Parameter name="PS_SIZE" type="int" value="256"/>
    </Node>
    <Node name="node4" type="Discard" x="-42.000000" y="104.000000"/>
    <Node name="node5" type="NewAccumulator" x="-674.000000" y="146.000000"/>
    <Node name="node6" type="ExecStream" x="-584.000000" y="102.000000">
      <Parameter name="COMMAND" type="string" value="cat "/>
    </Node>
    <Node name="node7" type="Constant" x="-702.000000" y="101.000000">
      <Parameter name="VALUE" type="subnet_param" value="ARG1"/>
    </Node>
    <Node name="node3" type="AdaptMAP" x="-237.000000" y="104.000000"/>
    <Node name="node8" type="LoadFile" x="-407.000000" y="196.000000">
      <Parameter name="FILENAME" type="string" value="si.gmm"/>
    </Node>
    <Node name="node2" type="SaveAs" x="-143.000000" y="104.000000">
      <Parameter name="FILENAME" type="subnet_param" value="ARG2"/>
    </Node>
    <Link from="node5" output="OUTPUT" to="node1" input="ACCUM"/>
    <Link from="node6" output="OUTPUT" to="node1" input="INPUT"/>
    <Link from="node7" output="VALUE" to="node6" input="INPUT"/>
    <Link from="node1" output="OUTPUT" to="node3" input="FRAMES"/>
    <Link from="node8" output="OUTPUT" to="node3" input="GMM"/>
    <Link from="node2" output="OUTPUT" to="node4" input="INPUT"/>
    <Link from="node3" output="OUTPUT" to="node2" input="INPUT"/>
    <NetOutput name="OUTPUT" node="node4" terminal="OUTPUT"/>
  </Network>
  <Network type="iterator" name="MAIN_LOOP">
    <Node name="node1" type="AudioStream" x="-232.000000" y="100.000000">
      <Parameter name="LENGTH" type="subnet_param" value="FRAME_SIZE"/>
      <Parameter name="ADVANCE" type="subnet_param" value="FRAME_ADVANCE"/>
      <Parameter name="ENCODING" type="string" value="LIN16"/>
      <Parameter name="STREAM_TYPE" type="string" value="FILE"/>
    </Node>
    <Node name="node2" type="Window" x="-99.000000" y="100.000000">
      <Parameter name="LENGTH" type="subnet_param" value="FRAME_SIZE"/>
      <Parameter name="WINDOW" type="string" value="HANNING"/>
      <Parameter name="SYMETRIC" type="bool" value="true"/>
    </Node>
    <Node name="node3" type="FFT" x="-22.000000" y="99.000000"/>
    <Node name="node4" type="Mel" x="97.000000" y="99.000000">
      <Parameter name="INPUTLENGTH" type="subnet_param" value="PS_SIZE"/>
      <Parameter name="OUTPUTLENGTH" type="int" value="20"/>
      <Parameter name="SAMPLING" type="int" value="16000"/>
      <Parameter name="LOW" type="int" value="100"/>
      <Parameter name="HIGH" type="int" value="7000"/>
    </Node>
    <Node name="node5" type="PS" x="40.000000" y="99.000000"/>
    <Node name="node6" type="Log" x="233.000000" y="98.000000"/>
    <Node name="node7" type="DCT" x="317.000000" y="97.000000">
      <Parameter name="LENGTH" type="int" value="20"/>
    </Node>
    <Node name="node8" type="Select" x="405.000000" y="156.000000">
      <Parameter name="START" type="int" value="0"/>
      <Parameter name="END" type="int" value="9"/>
    </Node>
    <Node name="node9" type="TimeFilter" x="505.000000" y="155.000000">
      <Parameter name="LENGTH" type="int" value="10"/>
      <Parameter name="FIR" type="string" value="&lt;Vector .2 .1 0 .1 .2&gt;"/>
      <Parameter name="IIR" type="string" value="&lt;Vector 1&gt;"/>
      <Parameter name="LOOKAHEAD" type="int" value="2"/>
    </Node>
    <Node name="node10" type="TimeFilter" x="615.000000" y="208.000000">
      <Parameter name="LENGTH" type="int" value="10"/>
      <Parameter name="FIR" type="string" value="&lt;Vector .2 .1 0 .1 .2&gt;"/>
      <Parameter name="IIR" type="string" value="&lt;Vector 1&gt;"/>
      <Parameter name="LOOKAHEAD" type="int" value="2"/>
    </Node>
    <Node name="node11" type="Concatenate" x="968.000000" y="106.000000"/>
    <Node name="node12" type="Concatenate" x="771.000000" y="163.000000"/>
    <Node name="node13" type="Select" x="510.000000" y="97.000000">
      <Parameter name="START" type="int" value="1"/>
      <Parameter name="END" type="int" value="19"/>
    </Node>
    <Node name="node14" type="Accumulate" x="1164.000000" y="116.000000"/>
    <Node name="node15" type="NotDone" x="-20.000000" y="28.000000"/>
    <Node name="node16" type="RMS" x="314.000000" y="29.000000"/>
    <Node name="node17" type="Greater" x="570.000000" y="37.000000"/>
    <Node name="node18" type="Constant" x="377.000000" y="44.000000">
      <Parameter name="VALUE" type="float" value="120"/>
    </Node>
    <Node name="node19" type="IF" x="1315.000000" y="51.000000"/>
    <Node name="node20" type="NOP" x="996.000000" y="197.000000"/>
    <Node name="node21" type="Constant" x="1175.000000" y="178.000000">
      <Parameter name="VALUE" type="int" value="1"/>
    </Node>
    <Node name="node22" type="CMS" x="703.000000" y="97.000000">
      <Parameter name="LENGTH" type="int" value="19"/>
      <Parameter name="LOOKBACK" type="int" value="40"/>
      <Parameter name="LOOKAHEAD" type="int" value="40"/>
    </Node>
    <Node name="node23" type="Add" x="189.000000" y="104.000000"/>
    <Node name="node24" type="Constant" x="68.000000" y="140.000000">
      <Parameter name="VALUE" type="float" value="100000"/>
    </Node>
    <Link from="node1" output="OUTPUT" to="node2" input="INPUT"/>
    <Link from="node2" output="OUTPUT" to="node3" input="INPUT"/>
    <Link from="node3" output="OUTPUT" to="node5" input="INPUT"/>
    <Link from="node5" output="OUTPUT" to="node4" input="INPUT"/>
    <Link from="node6" output="OUTPUT" to="node7" input="INPUT"/>
    <Link from="node7" output="OUTPUT" to="node8" input="INPUT"/>
    <Link from="node8" output="OUTPUT" to="node9" input="INPUT"/>
    <Link from="node9" output="OUTPUT" to="node10" input="INPUT"/>
    <Link from="node10" output="OUTPUT" to="node12" input="INPUT2"/>
    <Link from="node9" output="OUTPUT" to="node12" input="INPUT1"/>
    <Link from="node7" output="OUTPUT" to="node13" input="INPUT"/>
    <Link from="node12" output="OUTPUT" to="node11" input="INPUT2"/>
    <Link from="node1" output="OUTPUT" to="node15" input="INPUT"/>
    <Link from="node1" output="OUTPUT" to="node16" input="INPUT"/>
    <Link from="node18" output="VALUE" to="node17" input="INPUT2"/>
    <Link from="node16" output="OUTPUT" to="node17" input="INPUT1"/>
    <Link from="node17" output="OUTPUT" to="node19" input="COND"/>
    <Link from="node14" output="OUTPUT" to="node19" input="THEN"/>
    <Link from="node11" output="OUTPUT" to="node14" input="INPUT"/>
    <Link from="node20" output="OUTPUT" to="node14" input="ACCUM"/>
    <Link from="node21" output="VALUE" to="node19" input="ELSE"/>
    <Link from="node22" output="OUTPUT" to="node11" input="INPUT1"/>
    <Link from="node13" output="OUTPUT" to="node22" input="INPUT"/>
    <Link from="node23" output="OUTPUT" to="node6" input="INPUT"/>
    <Link from="node4" output="OUTPUT" to="node23" input="INPUT1"/>
    <Link from="node24" output="VALUE" to="node23" input="INPUT2"/>
    <NetInput name="INPUT" node="node1" terminal="INPUT"/>
    <NetCondition name="CONDITION" node="node15" terminal="OUTPUT"/>
    <NetInput name="ACCUM" node="node20" terminal="INPUT"/>
    <NetOutput name="OUTPUT" node="node20" terminal="OUTPUT"/>
    <NetOutput name="OUTPUT2" node="node19" terminal="OUTPUT"/>
    <NetOutput name="OUTPUT3" node="node11" terminal="OUTPUT"/>
  </Network>
  <Parameter name="ARG1" type="" value=""/>
  <Parameter name="ARG2" type="" value=""/>
</Document>
